import type { WebGLRenderer } from '@antv/g-webgl';
import { GraphData } from '../types';
/**
 * Scalable GPU Graph Traversal
 * @see https://research.nvidia.com/publication/scalable-gpu-graph-traversal
 * @see https://github.com/rafalk342/bfs-cuda
 * @see https://github.com/kaletap/bfs-cuda-gpu
 */
export declare function bfs(device: WebGLRenderer.Device, graphData: GraphData): Promise<void>;
